﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace NwWPFWindowClientSize {
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		private Size _clientSize;
		private Point _mousePos;
		private const string FORMAT = "Client Size {0:0}x{1:0} / Mouse Pos. {2:0},{3:0}";

		public MainWindow() {
			InitializeComponent();
		}
		protected override void OnSourceInitialized(EventArgs e) {
			base.OnSourceInitialized(e);
		}
		protected override void OnRenderSizeChanged(SizeChangedInfo sizeInfo) {
			base.OnRenderSizeChanged(sizeInfo);
			_clientSize = ((Border)GetVisualChild(0)).RenderSize;
			UpdateTitle();
		}
		protected override void OnMouseMove(MouseEventArgs e) {
			base.OnMouseMove(e);
			_mousePos = e.GetPosition(this);
			UpdateTitle();
		}
		private void UpdateTitle() {
			Title = String.Format(FORMAT, _clientSize.Width, _clientSize.Height,
				                          _mousePos.X, _mousePos.Y);
		}
	}
}